org.apache.solr.search

## Class ReRankWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.search.FilterWeight
    - - org.apache.solr.search.ReRankWeight

-     public class ReRankWeight
      extends FilterWeight

  A `Weight` used by reranking queries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

      `Weight.DefaultBulkScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.FilterWeight

      `in`

    - ### Fields inherited from class org.apache.lucene.search.Weight

      `parentQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReRankWeight(Query mainQuery, Rescorer reRankQueryRescorer, IndexSearcher searcher, Weight mainWeight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explanation` | `explain(LeafReaderContext context, int doc)`

    - ### Methods inherited from class org.apache.lucene.search.FilterWeight

      `extractTerms, getValueForNormalization, normalize, scorer`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `bulkScorer, getQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReRankWeight

          public ReRankWeight(Query mainQuery,
                              Rescorer reRankQueryRescorer,
                              IndexSearcher searcher,
                              Weight mainWeight)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### explain

          public Explanation explain(LeafReaderContext context,
                                     int doc)
                              throws IOException

      Overrides:
        `explain` in class `FilterWeight`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.